Bug 114365 - sata_promise driver missing from
sata_promise driver missing from
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-27 07:05 EST by James Henstridge
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 9.2-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-15 11:46:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Henstridge 2004-01-27 07:05:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-AU; rv:1.6)
Gecko/20040113

Description of problem:
While the kernel RPM on the AMD64 test1 ISOs contains the sata_promise
driver (and the other sata_* ones), the kernel used by the installer
seems to be missing them.  This makes it quite difficult to install
onto a SATA hard drive, even though you could presumably boot off it
once the install was finished.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start installation from disc 1
2.continue to the disk partitioning step
    

Actual Results:  No disks found, installation aborts.

Expected Results:  sata_promise driver should be loaded, and disk found.

Additional info:

I am experimenting to see whether I can extract the sata_promise.o
module from the kernel RPM on the CD and use that to bootstrap the
install.
Comment 1 James Henstridge 2004-01-27 20:27:55 EST
I managed to get the installation to complete the partitioning stage
by switching to VT 2 and doing the following:

1. Extract the files from the kernel RPM found under
   /mnt/source/Fedora/RPMS using
   "rpm2cpio kernel-2...rpm | cpio -i --make-directories"

2. Copy the libata.o and sata_promise.o to another location, and
   delete the other extracted files.

3. Insert the two modules.

I don't know if it made any difference, but there was a second SCSI
adaptor in the computer with a disk attached.  I removed the module
for that adaptor first, so that the SATA disk would appear as
/dev/sda.  I'm not sure what would happen if the installer didn't know
that there would be a /dev/sda in the machine.
Comment 2 James Henstridge 2004-01-27 22:17:54 EST
Managed to finish up the installation and get a working system.  In
order to do this, I had to change the /etc/modules.conf file (under
/mnt/sysimage) during the install, and rebuild the initrd images.

Maybe this will be useful to other people trying to install the test
release onto a SATA hard drive.  It would be nice if the final release
could detect the controller.

If it helps, here is the "lspci -vv" output for the controller:

03:05.0 RAID bus controller: Promise Technology, Inc.: Unknown device
3373 (rev 02)
        Subsystem: Promise Technology, Inc.: Unknown device 6619
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop-
ParErr- Stepping- SERR+ FastB2B-
        Status: Cap+ 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 96 (1000ns min, 4500ns max), cache line size 91
        Interrupt: pin A routed to IRQ 17
        Region 0: I/O ports at bc00 [size=64]
        Region 1: I/O ports at b480 [size=16]
        Region 2: I/O ports at b400 [size=128]
        Region 3: Memory at feafe000 (32-bit, non-prefetchable) [size=4K]
        Region 4: Memory at feaa0000 (32-bit, non-prefetchable)
[size=128K]
        Capabilities: [60] Power Management version 2
                Flags: PMEClk- DSI+ D1+ D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

Comment 3 Jeremy Katz 2004-02-17 18:48:28 EST
Added and built into anaconda-9.2-5

Note You need to log in before you can comment on or make changes to this bug.